Problem with two versions of Perl installed 
Author Message
 Problem with two versions of Perl installed

Hi,

I am using Redhat 7.1 and one day I connected to the CPAN and install the
Bundle::CPAN, CGI, DBI and other softwares.  Now my Perl was upgraded from
the Redhat's Perl 5.6.0 to Perl 5.6.1 after installing the Bundle::CPAN.
I tried rpm -e, but it complaint that a lot of softwares are dependent on
Perl.  How do I safely remove Perl 5.6.0 and all reference to it?  And make
all softwares pointing to Perl 5.6.1?

Thanks,
Edmond



Mon, 02 Feb 2004 04:24:31 GMT  
 Problem with two versions of Perl installed
That's why people don't like the RPM system (and RedHate).  It's always
better to install stuff oneself to avoid these situations.

I would say to make a symbolic link, or copy over the binary (since it's not
going to be used anymore), but I don't understand the RPM system (and why
people use it).



Tue, 03 Feb 2004 10:16:34 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. Problems in perl versions while tring to install pTk

2. Newbie: Problem installing private version of HTML::Parse

3. Two versions of the same module

4. Stupid newbie questions- How to install a new version of Perl

5. How i install a module on a win32 ( active perl version )

6. How to know modules of a installed version of perl

7. Installing a new version of perl

8. Installing Perl on Windows95- Problem with Install.bat

9. problem with perl modules, perhaps since a new perl version

10. Two Perl-ODBC Problems - Help!

11. problems creating two forks in perl script

12. Two problems with IRC perl script

 

 
Powered by phpBB® Forum Software